using System;

namespace SudarBrojeva
{
    internal class Program
    {
        static void Main(string[] args)
        {
            long a = long.Parse(Console.ReadLine());
            long b = long.Parse(Console.ReadLine());

            long res = 0;
            int brojac = 0;

            while(a > 0 || b > 0) {
                if(a == 0) {
                    res += (b % 10) * (int)Math.Pow(10, brojac);
                }else if(b == 0) {
                    res += (a % 10) * (int)Math.Pow(10, brojac);
                }else {
                    int prvi = (int)(a % 10);
                    int drugi = (int)(b % 10);

                    if(prvi > drugi) {
                        res += prvi * (int)Math.Pow(10, brojac);
                    }else if(drugi > prvi) {
                        res += drugi * (int)Math.Pow(10, brojac);
                    }else {
                        res += drugi * (int)Math.Pow(10, brojac);
                        brojac++;
                        res += drugi * (int)Math.Pow(10, brojac);
                    }
                }

                a /= 10;
                b /= 10;

                brojac += 1;
            }

            System.Console.WriteLine(res);
        }
    }
}